<?php
public function setObjectLink($action, $deptUsers, $shadowProducts, $project = null)
{
    $action = parent::setObjectLink($action, $deptUsers, $shadowProducts, $project);

    if($action->objectType == 'picard')
    {
        $kanbanID = $this->dao->select('kanban')->from(TABLE_KANBANCARD)->where('id')->eq($action->objectID)->fetch('kanban');
        $piID     = $this->dao->select('id')->from(TABLE_PI)->where('plankanban')->eq($kanbanID)->fetch('id');

        $action->objectLink = helper::createLink('pi', 'plan', "id=$piID");
    }

    return $action;
}
